# calculate corner3 distribution ratings

# read in data
data <- read.csv("corner3.dist.csv", header=TRUE);

# read in formula
formula <- as.formula(readLines("corner3.dist.formula.txt"))

# fit model
fit <- glm(formula, family=binomial(link="logit"))

# read in players
players <- read.csv("players.csv",header=F)
names <- as.matrix(players$V2)
results <- summary(fit)$coefficients

# save results
sink("corner3.dist.results.txt")
#print(summary(fit))

cat("INT,",sprintf("%.5f",results[1,1]),",",sprintf("%.5f",results[1,2]),"\n",sep="")
cat("HOME,",sprintf("%.5f",results[2,1]),",",sprintf("%.5f",results[2,2]),"\n",sep="")

for (i in 3:NROW(coef(fit))) {
	if ( (i-2) > NROW(names)) {
		index <- (i-2) - NROW(names)
		cat("D,",names[index],",",sprintf("%.5f",results[i,1]),",",sprintf("%.5f",results[i,2]),"\n",sep="")
	} else {
		index <- i-2
		cat("O,",names[index],",",sprintf("%.5f",results[i,1]),",",sprintf("%.5f",results[i,2]),"\n",sep="")
	}
}

sink()
